Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.index
Class FTTrie

    java.lang.Object
      org.basex.index.Index
          org.basex.index.FTTrie

    public final class FTTrie

extends Index

This class indexes text contents in a compressed trie on disk.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen, Sebastian Gath

Field Summary
`DataAccess` | `inD` FTData on disk.

Constructor Summary
`FTTrie(Data d, java.lang.String db)` Constructor, initializing the index structure.

Method Summary
`void` | `close()` Close the index.
`IndexIterator` | `ids(IndexToken ind)` Returns an iterator for the index results.
`byte[]` | `info()` Returns information on the index structure.
`int` | `nrIDs(IndexToken ind)` Returns the (approximate/estimated) number of ids for the specified token.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inD

    public final DataAccess inD

  FTData on disk.

Constructor Detail

### FTTrie

    public FTTrie(Data d,
                  java.lang.String db)
           throws java.io.IOException

  Constructor, initializing the index structure.

  Parameters:
    `d` - data reference
    `db` - name of the database
  Throws:
    `java.io.IOException` - IO Exception

Method Detail

### info

    public byte[] info()

  Description copied from class: `Index`
  Returns information on the index structure.

  Specified by:
    `info` in class `Index`
  Returns:
    info

### nrIDs

    public int nrIDs(IndexToken ind)

  Description copied from class: `Index`
  Returns the (approximate/estimated) number of ids for the specified token.

  Specified by:
    `nrIDs` in class `Index`
  Parameters:
    `ind` - token to be found
  Returns:
    number of ids

### ids

    public IndexIterator ids(IndexToken ind)

  Description copied from class: `Index`
  Returns an iterator for the index results.

  Specified by:
    `ids` in class `Index`
  Parameters:
    `ind` - token to be found
  Returns:
    ids

### close

    public void close()
               throws java.io.IOException

  Description copied from class: `Index`
  Close the index.

  Overrides:
    `close` in class `Index`
  Throws:
    `java.io.IOException` - in case of write errors

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD